Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 293786 (CVE-2009-3896) - <www-servers/nginx-0.7.64: NULL pointer dereference (CVE-2009-3896)
Summary: <www-servers/nginx-0.7.64: NULL pointer dereference (CVE-2009-3896)
Status: RESOLVED FIXED
Alias: CVE-2009-3896
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://sysoev.ru/nginx/patch.null.poi...
Whiteboard: B3 [glsa]
Keywords:
Depends on: 293785
Blocks:
  Show dependency tree
 
Reported: 2009-11-20 01:16 UTC by Stefan Behte (RETIRED)
Modified: 2012-03-28 10:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Behte (RETIRED) gentoo-dev Security 2009-11-20 01:16:28 UTC
"A patch to fix a null pointer dereference vulnerability in 0.1.0-0.8.13.
The patch is not required for versions 0.8.14+, 0.7.62+, 0.6.39+, 0.5.38+. "

Please bump or provide an patched ebuild.
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-11-26 08:26:09 UTC
CVE-2009-3896 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-3896):
  src/http/ngx_http_parse.c in nginx (aka Engine X) 0.1.0 through
  0.4.14, 0.5.x before 0.5.38, 0.6.x before 0.6.39, 0.7.x before
  0.7.62, and 0.8.x before 0.8.14 allows remote attackers to cause a
  denial of service (NULL pointer dereference and worker process crash)
  via a long URI.

Comment 2 Dirkjan Ochtman gentoo-dev 2009-12-08 14:55:32 UTC
I've bumped to 0.7.64 and 0.8.29. Let me know if anyone really wants an older branch.
Comment 3 Dirkjan Ochtman gentoo-dev 2010-03-04 11:45:29 UTC
0.7.64 is stable on all platforms where any version is stable, resolving.
Comment 4 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-03-04 11:56:04 UTC
reopening.
Comment 5 Sean Amoss (RETIRED) gentoo-dev Security 2012-03-17 15:20:25 UTC
Adding to existing GLSA request.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2012-03-28 10:59:38 UTC
This issue was resolved and addressed in
 GLSA 201203-22 at http://security.gentoo.org/glsa/glsa-201203-22.xml
by GLSA coordinator Sean Amoss (ackle).